Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77120 - rpm -i crashes for group name not in /etc/group
Summary: rpm -i crashes for group name not in /etc/group
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-01 13:52 UTC by Anund Lie
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-01 13:52:09 UTC


Attachments (Terms of Use)

Description Anund Lie 2002-11-01 13:52:02 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
 
Description of problem: 
When an %attr directive mentions a group whose name is not in the 
/etc/groups file, rpm -i crashes with segmentation violation. 
(The group entry in question is coming from an LDAP server via 
nsswitch.  I haven't verified whether the problem occurs if 
NIS is used instead.) 
 
Version-Release number of selected component (if applicable): 
Version     : 4.0.4                             Vendor: Red Hat, Inc. 
Release     : 7x.18                         Build Date: Thu 18 Apr 2002 
11:36:17 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Export group file from master server with LDAP (using the 
/usr/share/openldap/migration/ scripts). 
2.Set up another machine to import the group and password entries from LDAP 
using authconfig and /etc/nsswitch.conf. 
3.Create an rpm package where an %attr directive mentions a 
group present in the LDAP server, but not in the local /etc/group 
file on the second machine. 
4. Install the rpm from step 3 on the second machine. 
 
Actual Results:  rpm -i gets a segmentation violation. 
 
Expected Results:  Package should have installed normally, with the expected 
setting of the group id for the files the %attr directive 
applies to. 
 
Additional info:

Comment 1 Jeff Johnson 2002-11-01 14:13:57 UTC
You need to run nscd if using LDAP passwords to avoid
a problem that affects statically linked binaries like rpm.


Note You need to log in before you can comment on or make changes to this bug.